module comgeomphy
   integer,save             :: nvertex=0
   real,save,allocatable :: airephy(:)
   real,save,allocatable :: rlatd(:)
   real,save,allocatable :: rlond(:)
   real,save,allocatable :: rbounds_lon(:,:)
   real,save,allocatable :: rbounds_lat(:,:)
!$OMP THREADPRIVATE(airephy,cuphy,cvphy,rlatd,rlond,rbounds_lon,rbounds_lat)
contains
  
  subroutine initcomgeomphy
  USE mod_phys_lmdz_para, only: klon_omp
  implicit none
    
 
    allocate(airephy(klon_omp))
    allocate(rlatd(klon_omp))
    allocate(rlond(klon_omp))
    allocate(rbounds_lon(klon_omp,nvertex))
    allocate(rbounds_lat(klon_omp,nvertex))

  end subroutine initcomgeomphy
  
end module comgeomphy
